### Enumeration

# GLib ConvertError

#### Declaration

    error-domain GLib.ConvertError

#### Description [src]

Error codes returned by character set conversion routines.

#### Members

Name | Description
--- | ---
`G_CONVERT_ERROR_NO_CONVERSION` | Conversion between the requested character sets is not supported.
`G_CONVERT_ERROR_ILLEGAL_SEQUENCE` | Invalid byte sequence in conversion input; or the character sequence could not be represented in the target character set.
`G_CONVERT_ERROR_FAILED` | Conversion failed for some reason.
`G_CONVERT_ERROR_PARTIAL_INPUT` | Partial character sequence at end of input.
`G_CONVERT_ERROR_BAD_URI` | URI is invalid.
`G_CONVERT_ERROR_NOT_ABSOLUTE_PATH` | Pathname is not an absolute path.
`G_CONVERT_ERROR_NO_MEMORY` | No memory available. Since: 2.40
`G_CONVERT_ERROR_EMBEDDED_NUL` | An embedded NUL character is present in conversion output where a NUL-terminated string is expected. Since: 2.56